#
# Conditional build:
%bcond_without	cap		# Enable support for the Linux Capabilities (default: disabled)

Summary:	A backend data gatherer for Cacti
Summary(pl.UTF-8):	Backend gromadzący dane dla Cacti
Name:		cacti-spine
Version:	1.2.23
Release:	0BL
License:	GPL
Group:		Daemons
Source0:	http://www.cacti.net/downloads/spine/%{name}-%{version}.tar.gz
# Source0-md5:	69133383948005f77ca82e10a8c6d228
Patch0:		%{name}-paths.patch
# Official patches http://www.cacti.net/spine_download_patches.php
URL:		http://www.cacti.net/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_cap:BuildRequires:	libcap-devel}
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.502
BuildRequires:	zlib-devel
BuildRequires:	help2man
%requires_eq	net-snmp-libs
Requires:	cacti
Obsoletes:	cacti-cactid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		cacti
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_bindir		%{_sbindir}

%description
A backend data gatherer for Cacti. This package represents the future
replacement for Cacti's cmd.php. It is almost 100% compatible with the
legacy cmd.php processor.

%description -l pl.UTF-8
Backend gromadzący dane dla Cacti. Ten pakiet reprezentuje przyszły
zamiennik cmd.php z Cacti. Jest prawie w 100% kompatybilny ze starym
procesorem cmd.php.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}
chmod +x ./configure
%configure \
	--with-results-buffer=4096 \
	--with-mysql \
	%{__enable_disable cap lcap} \
	--with-snmp=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_sbindir}/{spine,cacti-poller-spine}
mv $RPM_BUILD_ROOT%{_sysconfdir}/spine.conf{.dist,}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/spine.conf
%attr(755,root,root) %{_sbindir}/cacti-poller-spine
%{_mandir}/man1/spine.1*
%changelog
* Mon Feb 13 2023 Bartosz Lis <bartoszl@ics.p.lodz.pl>
- up to 1.2.23

* Sun Oct 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cacti-spine.git;a=log;h=master

* Sun Oct 09 2022 Jan Palus <atler@pld-linux.org> af102ab
- net-snmp rebuild

* Wed Feb 23 2022 Jan Rękorajski <baggins@pld-linux.org> 426d392
- Release 2 (by relup.sh)

* Wed Feb 09 2022 Jan Rękorajski <baggins@pld-linux.org> cf5934b
- rediff patch

* Thu Dec 10 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ce29fd
- up to 1.2.16

* Fri Nov 27 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 0712c36
- up to 1.2.15

* Tue Oct 20 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> c897fb5
- up to 1.2.14

* Mon Oct 05 2020 Jan Rękorajski <baggins@pld-linux.org> d880a03
- release 2 (by relup.sh)

* Wed May 13 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 93fc8e9
- up to 1.2.12

* Fri May 01 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 865e43f
- up to 1.2.11

* Wed Feb 12 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> ffac5a8
- up to 1.2.9

* Tue Dec 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 355a2b8
- up to 1.2.8

* Wed Oct 02 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 62fe4b3
- up to 1.2.7

* Thu Sep 26 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> adc8548
- up to 1.2.6

* Wed Jan 23 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 6850e68
- up to 1.2.1

* Mon Oct 08 2018 Adam Gołębiowski <adamg@pld-linux.org> 22fb077
- updated to 1.1.38

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 6657d5c
- rebuild with net-snmp 5.8
- release 3 (by relup.sh)

* Tue Mar 06 2018 Jan Rękorajski <baggins@pld-linux.org> d036cb5
- rebuild with mysql 5.7
- release 2 (by relup.sh)

* Tue Jan 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 74291dd
- up to 1.1.30

* Sun Apr 16 2017 Jan Rękorajski <baggins@pld-linux.org> 029e469
- up to 1.1.3

* Thu Feb 25 2016 Elan Ruusamäe <glen@delfi.ee> 3bc11fc
- drop outdated x32.patch

